<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

return new class extends Migration {
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('land_mony_import', function (Blueprint $table) {
            $table->bigInteger('land_id')->unsigned();
            $table->bigInteger('mony_import_id')->unsigned();

            $table
                ->foreign('land_id')
                ->references('id')
                ->on('lands')
                ->onDelete('cascade')
                ->onUpdate('cascade');
            $table
                ->foreign('mony_import_id')
                ->references('id')
                ->on('mony_imports')
                ->onDelete('cascade')
                ->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('land_mony_import');
    }
};
